Subject: bug#62004: 30.0.50; comp-run-async-workers failure when default-directory deleted

From: Andrea Corallo <[email-masked]>
Date: Tue, 07 Mar 2023 13:51:37 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: No Wayman <[email-masked]>,  [email-masked]
>> Date: Tue, 07 Mar 2023 11:16:40 +0000
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Andrea, any ideas?  How come we never ran into this issue until now?
>> 
>> I guess it's a very unlikely condition that was never
>> encountered/reported.
>> 
>> > Is the default-directory value when native compilation is forked
>> > somehow derived from the directory of the file being compiled?
>> 
>> If it is is not evident to me why.  We spawan something of this kind
>> 
>> /pathtoemacs/emacs -Q -batch -l /tmp/emacs-async-comp-something.el
>> 
>> where emacs-async-comp-something.el contains the actual setup (where we
>> don't touch default-directory) and compilation command.
>> 
>> I'm probably missing something ATM.
>
> Well, maybe we should bind the variable to be on the safe side?  What
> if we bind it to the directory where we write that
> emacs-async-comp-something.el file?

Maybe but the reporter says "The default-directory is dependent on where
comp-run-async-workers happens to kick off." and I don't understand if
that's correct why is that.

I'd like first to understand better the issue here.

  Andrea